summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/lighttpd/lighttpd.rc.d
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-23 01:40:37 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-23 01:40:37 (GMT)
commit7f24a313f0815854ff88a0e33a066a73de4f3be1 (patch)
tree63f1de317bd6d4d3b283939c3481c3ed3e4e71f9 /abs/core-testing/lighttpd/lighttpd.rc.d
parentde2ffe85032410437eb7dabdec63031e908fd43c (diff)
downloadlinhes_pkgbuild-7f24a313f0815854ff88a0e33a066a73de4f3be1.zip
linhes_pkgbuild-7f24a313f0815854ff88a0e33a066a73de4f3be1.tar.gz
linhes_pkgbuild-7f24a313f0815854ff88a0e33a066a73de4f3be1.tar.bz2
initial checkin of lighttpd and supporting libs.
Also included is a new package callede local-website. This package contains the contents of http://localhost that runs on every LinHES box. The initial checkin is taken from R5.5
Diffstat (limited to 'abs/core-testing/lighttpd/lighttpd.rc.d')
-rw-r--r--abs/core-testing/lighttpd/lighttpd.rc.d38
1 files changed, 38 insertions, 0 deletions
diff --git a/abs/core-testing/lighttpd/lighttpd.rc.d b/abs/core-testing/lighttpd/lighttpd.rc.d
new file mode 100644
index 0000000..97c315f
--- /dev/null
+++ b/abs/core-testing/lighttpd/lighttpd.rc.d
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/lighttpd`
+
+case "$1" in
+ start)
+ stat_busy "Starting lighttpd Daemon"
+ [ -z "$PID" ] && /usr/sbin/lighttpd -f /etc/lighttpd/lighttpd.conf 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon lighttpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping lighttpd Daemon"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon lighttpd
+ rm -f /var/run/lighttpd/lighttpd.pid
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac